from transformers import AutoModel, AutoTokenizer
from sentiment_analysis.plugin import SentimentAnalysis

if __name__ == "__main__":
    config = SentimentAnalysis._default_config
    model_name = config["model_name"]

    # Load model and tokenizer so they're stored in transformers cache.
    AutoModel.from_pretrained(model_name, add_pooling_layer=False)
    AutoTokenizer.from_pretrained(model_name)